require "states/Level1/player"
require "states/Level1/enemies"

scene = {}

function scene:new(o)
  o = o or {}
  setmetatable(o, self)
  self.__index = self
  return o
end

game = scene:new()

function game:playerdraw()
  player:draw()
  player:drawhealth()
  player:ammo()
end

function game:healthpackDraw()
  healthpack:draw(20, 99, 53)
end

function game:enemydraw()
  grunt:draw()
  grunt:drawhealth()
end

function game:draw()
  self:enemydraw()
  self:healthpackDraw()
  self:playerdraw()
end