require "states/Level1/camera"
function checkCollision(x1,y1,w1,h1, x2,y2,w2,h2)
  return x1 < x2+w2 and
         x2 < x1+w1 and
         y1 < y2+h2 and
         y2 < y1+h1
end

function randomGen(min, max, rarity)
 local rng = love.math.newRandomGenerator(os.time())
 local randomNumber = rng:random(min, max)
  if randomNumber <= rarity then
    return true
  else
    return false
  end
end


function toWorldCoords(x,y)
    x = x + (camera._x)
    y = y + (camera._y)
    return x,y
end

function insideBox( px, py, x, y, w, h )
	if px > x and px < x + w then
		if py > y and py < y + h then
			return true
		end
	end
	return false
end