function load() -- one time load function when game is run
  require "states/Level1/player"
  require "states/Level1/controls"
  require "states/Level1/entities"
  require "states/Level1/items"
  require "states/Level1/enemies"
  require "states/Level1/grunt"
  require "states/Level1/bullets"
  require "states/Level1/controls"
  require "states/Level1/guns"
  require "scripts"
  require "states/Level1/M4"
  require "states/Level1/eM4"
  require "states/Level1/M4Bullet"
  require "states/Level1/eM4Bullet"
  require "states/Level1/scene"
  require "states/Level1/healthpacks"
  require "states/Level1/camera"
  require "states/Level1/map"
  
  grunt:gen(340, 320, "Grunt", "south")
  --grunt:gen(300, 500, "Grunt", "east")
  
  love.keyboard.setKeyRepeat(false)
  love.graphics.setBackgroundColor(0, 0, 0, 255)
end

function love.draw(dt) -- function called to draw to screen every frame (delta time - time between frames)
  camera:set()
  love.graphics.scale(1)
  keybind:getkeys()
  M4Bullet:draw()
  eM4Bullet:draw()
  game:draw()
  map:draw()
  camera:unset()
end

function love.update(dt) -- function used to keep track of the state of the game called every frame
  player:update(dt)
  map:update(dt)
  
  M4:playerupdate(dt)
  M4Bullet:update(dt)
  grunt:update(dt)
  eM4:enemyupdate(dt)
  eM4Bullet:update(dt)
  healthpack:update(dt)
end
